Hipster
Search…
⌃K

About Hipster

Designed and developed with high expertise, Hipster is a fully-featured React-based Admin template that is configured with all the latest and trending libraries and technologies like Material-UI, Redux, React Hooks, etc.
Hipster has three dashboards, lots of widgets and metrics, six fully functional apps (Todo, Mail, Contact, Chat, Scrum board, and Wall), and a lot of ready-to-use pages.
Key Features:-
  • Three Modes - Light, Semi-Dark, and Dark.
  • A lot of Color combinations to beautify the Template.
  • Six Languages Supported.
  • Code Splitting and Reusability.
Hipster is loaded with:-
  • React Hooks
  • TypeScript
  • React Redux
  • Material UI
  • Google Maps
  • Slick Carousel
  • React Calendar
  • Drag N Drop
  • ReCharts
  • React Player
  • React Colors
  • React Beautiful DND
  • Dropzone
  • React Timeline
  • React Table
  • Material UI Tables
  • React Notifications
  • React Player
  • Axios-mock-adaptor
  • Material Icons
  • ES-Lint & TS Lint
  • Prettier
  • Husky and a lot more... You can check here the libs and its version
    {
    "name": "hister",
    "version": "0.1.0",
    "private": true,
    "dependencies": {
    "@aws-amplify/auth": "^4.3.10",
    "@babel/runtime": "^7.15.4",
    "@date-io/date-fns": "^2.11.0",
    "@date-io/moment": "^2.11.0",
    "@emotion/cache": "^11.4.0",
    "@emotion/react": "^11.4.1",
    "@emotion/styled": "^11.3.0",
    "@mui/icons-material": "^5.0.3",
    "@mui/lab": "^5.0.0-alpha.50",
    "@mui/material": "^5.0.3",
    "@mui/styles": "^5.0.1",
    "@testing-library/jest-dom": "^5.11.4",
    "@testing-library/react": "^11.1.0",
    "@testing-library/user-event": "^12.1.10",
    "axios": "^0.21.4",
    "axios-mock-adapter": "^1.20.0",
    "clsx": "^1.1.1",
    "connected-react-router": "^6.9.1",
    "date-fns": "^2.23.0",
    "firebase": "^9.0.2",
    "formik": "^2.2.9",
    "formik-material-ui-pickers": "^1.0.0-alpha.1",
    "moment": "^2.29.1",
    "prism-react-renderer": "^1.2.1",
    "prop-types": "^15.7.2",
    "raw-loader": "^4.0.2",
    "react": "^17.0.2",
    "react-big-calendar": "^0.35.0",
    "react-bottom-scroll-listener": "^5.0.0",
    "react-color": "^2.19.3",
    "react-content-loader": "^6.0.3",
    "react-dom": "^17.0.2",
    "react-dropzone": "^11.4.0",
    "react-google-maps": "^9.4.5",
    "react-icons": "^4.2.0",
    "react-intl": "^5.20.10",
    "react-notifications-component": "^3.1.0",
    "react-player": "^2.9.0",
    "react-quill": "^1.3.5",
    "react-redux": "^7.2.5",
    "react-render-html": "^0.6.0",
    "react-router-config": "^5.1.1",
    "react-router-dom": "^5.3.0",
    "react-router-redux": "^4.0.8",
    "react-scripts": "4.0.3",
    "react-simple-maps": "^2.3.0",
    "react-slick": "^0.28.1",
    "react-style-proptype": "^3.2.2",
    "react-tooltip": "^4.2.21",
    "react-trello": "^2.2.11",
    "recharts": "^2.1.2",
    "redux": "^4.1.1",
    "redux-thunk": "^2.3.0",
    "simplebar-react": "^2.3.5",
    "slick-carousel": "^1.8.1",
    "stylis": "^4.0.10",
    "stylis-plugin-rtl": "^2.1.0",
    "typescript": "^4.4.3",
    "velocity-animate": "^1.5.2",
    "velocity-react": "^1.4.3",
    "web-vitals": "^1.0.1",
    "yup": "^0.32.9"
    },
    "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "lint": "eslint \"src/**/*.+(js|jsx)\"",
    "lint:fix": "eslint --fix \"src/**/*.+(js|jsx)\"",
    "format": "prettier --write \"src/**/*.+(js|jsx)\"",
    "precommit": "lint-staged"
    },
    "eslintConfig": {
    "extends": [
    "react-app",
    "react-app/jest"
    ]
    },
    "browserslist": {
    "production": [
    ">0.2%",
    "not dead",
    "not op_mini all"
    ],
    "development": [
    "last 1 chrome version",
    "last 1 firefox version",
    "last 1 safari version"
    ]
    },
    "devDependencies": {
    "@commitlint/cli": "^11.0.0",
    "babel-eslint": "^10.1.0",
    "commitlint-config-jira": "^1.4.1",
    "commitlint-plugin-jira-rules": "^1.4.0",
    "eslint": "^7.17.0",
    "eslint-config-prettier": "^7.1.0",
    "eslint-plugin-prettier": "^3.3.1",
    "eslint-plugin-react": "^7.22.0",
    "husky": "^4.3.7",
    "lint-staged": "^10.5.3",
    "prettier": "^2.2.1"
    },
    "husky": {
    "hooks": {
    "pre-commit": "lint-staged"
    }
    },
    "lint-staged": {
    "*.+(js|jsx)": [
    "eslint --fix",
    "git add"
    ],
    "*.+(json|md)": [
    "prettier --write",
    "git add"
    ]
    }
    }
Last modified 1yr ago